Skip to main content
`Ctrl`+`K`

# PCShellSetName

Sets an optional name to associate with a `PCSHELL` preconditioner.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellSetName(PC pc, const char name[])

Not Collective

## Input Parameters

- pc - the preconditioner context

- name - character string describing shell preconditioner

## Note

This is separate from the name you can provide with `PetscObjectSetName()`

## See Also

KSP: Linear System Solvers, `PCSHELL`, `PCShellGetName()`, `PetscObjectSetName()`, `PetscObjectGetName()`

## Level

intermediate

## Location

src/ksp/pc/impls/shell/shellpc.c

## Examples

src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex15.c

## Implementations

PCShellSetName_Shell() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages